<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Twenty_Twenty_One
 * @since Twenty Twenty-One 1.0
 */

?>
	<!-- Footer Start-->
    <footer class="ltn__footer-area">
        <div class="footer-top-area plr--5">
            <div class="container">
                <div class="row">
                    <div class="col-md-6">
                        <div class="footer-widget footer-about-widget">
                            <div class="footer-logo">
                                <div class="site-logo">
                                    <img src="<?php bloginfo('template_url'); ?>/assets/images/logo.webp" alt="Logo">
                                </div>
                            </div>
                           
                            <div class="footer-address">
                                <ul>
                                    <li>
                                        <div class="footer-address-icon">
                                            <i class="icons icon-placeholder"></i>
                                        </div>
                                        <div class="footer-address-info">
                                            <p>Address:<br>Sydney 2144</p>
                                        </div>
                                    </li>
                                    
                                    <li>
                                        <div class="footer-address-icon">
                                            <i class="icons icon-mail"></i>
                                        </div>
                                        <div class="footer-address-info">
                                            <p>Email:<br><a href="mailto:stflooring2020@gmail.com">stflooring2020@gmail.com</a></p>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="footer-address-icon">
                                            <i class="icons icon-call"></i>
                                        </div>
                                        <div class="footer-address-info">
                                            <p>Phone:<br><a href="tel:0484299772">0484 299 772</a></p>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                            <div class="ltn__social-media mt-20">
                                <ul>
                                <li>Follow Us :</li>
                                <li><a href="#" title="Facebook"><i class="fab fa-facebook-f"></i></a></li>
                                <li><a href="#" title="Instagram"><i class="fab fa-instagram"></i></a></li>
                             </ul>
                            </div>
                        </div>
                    </div>
                    
                    <div class="col-md-6">
                        <div class="footer-widget footer-menu-widget clearfix">
                            <h4 class="footer-title">Business Hours</h4>
                             <p>Monday - Saturday: 7:00 am - 6:00 pm<br>
                              Sunday: Closed</p>

                            <div class="footer-menu">
                                <h4 class="footer-title">QUICK lINKS</h4>
                                <a href="<?php echo esc_url( get_page_link(5) ); ?>">Home</a>
                                <a href="<?php echo esc_url( get_page_link(8) ); ?>">About Us</a>
                                <a href="#">Services</a>
                                <a href="<?php echo esc_url( get_page_link(21) ); ?>">Products</a>
                                <a href="<?php echo esc_url( get_page_link(49) ); ?>">Contact Us</a>
                            </div>
                        </div>
                    </div>
                   
                    
                </div>
            </div>
        </div>
        <div class="ltn__copyright-area ltn__copyright-2 plr--5">
            <div class="container ltn__border-top-2">
                <div class="row">
                    <div class="col-md-10">
                        <div class="ltn__copyright-design clearfix">
                            <p>Content, including images, displayed on this website is protected by copyright laws. Downloading, republication, retransmission or reproduction of content on this website is strictly prohibited. <a href="#">Terms of Use</a> | <a href="#">Privacy Policy</a></p>
                        </div>
                    </div>
                   
                </div>
            </div>
        </div>
    </footer>
   <!-- Footer End-->
</div>

    <!-- All JS -->
    <script src="<?php bloginfo('template_url'); ?>/assets/js/plugins.js"></script>
    <script src="<?php bloginfo('template_url'); ?>/assets/js/contact.js"></script>
    <script src="<?php bloginfo('template_url'); ?>/assets/js/main.js"></script>
  <script>
        $(document).ready(function(){
          $(".specifications").click(function(){
            $(".rteBlock").toggle();
          });
        });
        </script>


<?php wp_footer(); ?>

</body>
</html>
