<?php
/**
 * The header.
 *
 * This is the template that displays all of the <head> section and everything up until main.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Twenty_Twenty_One
 * @since Twenty Twenty-One 1.0
 */

?>
<!doctype html>
<html class="no-js" lang="zxx">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>S Timber Flooring</title>
    <meta name="robots" content="noindex, follow" />
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://fonts.googleapis.com/css2?family=Rajdhani:wght@300;400;500;600;700&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Vidaloka&display=swap" rel="stylesheet">
    <!-- Place favicon.png in the root directory -->
    <link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/assets/images/favicon.png" type="image/x-icon" />
    <!-- Font Icons css -->
    <link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/assets/css/font-icons.css">
    <!-- plugins css -->
    <link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/assets/css/plugins.css">
    <!-- Main Stylesheet -->
    <link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/assets/css/style.css">
    <!-- Responsive css -->
    <link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/assets/css/responsive.css">
</head>

<body>

<div class="body-wrapper">    
    
<!-- Header Start -->
    <header class="ltn__header-area ltn__header-5 ltn__header-logo-and-mobile-menu-in-mobile ltn__header-transparent gradient-color-2">
        <div class="ltn__header-top-area top-area-color-white">
            <div class="container">
                <div class="row">
                    <div class="col-md-4">
                        <div class="ltn__top-bar-menu">
                            <ul>
                                <li><i class="fa fa-map-marker-alt"></i> Sydney 2144</li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-4 text-center">
                          <div class="ltn__social-media">
                             <ul>
                                <li>Follow Us :</li>
                                <li><a href="#" title="Facebook"><i class="fab fa-facebook-f"></i></a></li>
                                <li><a href="#" title="Instagram"><i class="fab fa-instagram"></i></a></li>
                             </ul>
                         </div>
                    </div>
                    <div class="col-md-4">
                        <div class="top-bar-right text-right text-end">
                            <div class="ltn__top-bar-menu call">
                                <a href="tel:0484299772"><i class="fa fa-phone"></i> 0484 299 772</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="ltn__header-middle-area ltn__header-sticky ltn__sticky-bg-black">
            <div class="container">
                <div class="row">
                    <div class="col">
                        <div class="site-logo-wrap">
                            <div class="site-logo">
                                <a href="<?php echo esc_url( get_page_link(5) ); ?>"><img src="<?php bloginfo('template_url'); ?>/assets/images/logo.webp" alt="Logo"></a>
                            </div>
                            <div class="get-support clearfix d-none">
                                <div class="get-support-icon">
                                    <i class="icon-call"></i>
                                </div>
                                <div class="get-support-info">
                                    <h6>Get Support</h6>
                                    <h4><a href="tel:+123456789">123-456-789-10</a></h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col header-menu-column menu-color-white">
                        <div class="header-menu d-none d-xl-block">
                            <nav>
                                <div class="ltn__main-menu">
                                    <ul>
                                        <li><a href="<?php echo esc_url( get_page_link(5) ); ?>" class="active">Home</a></li>
                                        <li><a href="<?php echo esc_url( get_page_link(8) ); ?>">About Us</a></li>
                                        <li><a href="#">Services <i class="fa fa-angle-down"></i></a>
                                            <ul>
                                               <li><a href="<?php echo esc_url( get_page_link(13) ); ?>">Laminate Flooring</a></li> 
                                               <li><a href="<?php echo esc_url( get_page_link(15) ); ?>">Engineered Flooring</a></li> 
                                               <li><a href="<?php echo esc_url( get_page_link(17) ); ?>">Hybrid Flooring</a></li> 
                                               <li><a href="<?php echo esc_url( get_page_link(19) ); ?>">Timber Flooring</a></li> 
                                            </ul> 
                                        </li>
                                        <li><a href="<?php echo esc_url( get_page_link(21) ); ?>">Products <i class="fa fa-angle-down"></i></a>
                                            <ul>
                                               <li><a href="<?php echo esc_url( get_page_link(23) ); ?>">Bowood Laminate</a>
                                               <li><a href="#">Hybrids</a>
                                                   <ul>
                                                    <li><a href="<?php echo esc_url( get_page_link(25) ); ?>">Homestead Hybrid 6.5mm</a></li> 
                                                    <li><a href="<?php echo esc_url( get_page_link(27) ); ?>">Homestead Hybrid 8mm</a></li>
                                                   </ul>
                                               </li>
                                               <li><a href="#">Adorn Laminate</a>
                                                   <ul>
                                                    <li><a href="<?php echo esc_url( get_page_link(29) ); ?>">Classic</a></li>
                                                    <li><a href="<?php echo esc_url( get_page_link(31) ); ?>">Select</a></li>
                                                    <li><a href="<?php echo esc_url( get_page_link(33) ); ?>">3D Lux</a></li>
                                                   </ul>
                                               </li>
                                               <li><a href="#">Stonegrove Luxury Hybrids</a>
                                                   <ul>
                                                     <li><a href="<?php echo esc_url( get_page_link(35) ); ?>">Cantus</a></li>
                                                     <li><a href="<?php echo esc_url( get_page_link(37) ); ?>">Altus</a></li>
                                                     <li><a href="<?php echo esc_url( get_page_link(39) ); ?>">Brevis</a></li>
                                                   </ul>
                                               </li>
                                               <li><a href="#">Lamella Engineered Timbers</a>
                                                   <ul>
                                                     <li><a href="#">Lamella 14/2</a></li>
                                                     <li><a href="#">Lamella 15/4</a></li>
                                                     <li><a href="#">Lamella Herringbone</a></li>
                                                   </ul>
                                               </li>
                                               
                                            </li>
                                           </ul>    
                                        </li>
                                        <li><a href="<?php echo esc_url( get_page_link(47) ); ?>">Gallery</a></li>
                                        <li><a href="<?php echo esc_url( get_page_link(49) ); ?>">Contact Us</a></li>
                                    </ul>
                                </div>
                            </nav>
                        </div>
                    </div>
                    <div class="ltn__header-options ltn__header-options-2">
                        <div class="mobile-menu-toggle d-xl-none">
                            <a href="#ltn__utilize-mobile-menu" class="ltn__utilize-toggle">
                                <svg viewBox="0 0 800 600">
                                    <path d="M300,220 C300,220 520,220 540,220 C740,220 640,540 520,420 C440,340 300,200 300,200" id="top"></path>
                                    <path d="M300,320 L540,320" id="middle"></path>
                                    <path d="M300,210 C300,210 520,210 540,210 C740,210 640,530 520,410 C440,330 300,190 300,190" id="bottom" transform="translate(480, 320) scale(1, -1) translate(-480, -318) "></path>
                               </svg>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!-- Header End -->

    <!-- Mobile Menu Start -->
    <div id="ltn__utilize-mobile-menu" class="ltn__utilize ltn__utilize-mobile-menu">
        <div class="ltn__utilize-menu-inner ltn__scrollbar">
            <div class="ltn__utilize-menu-head">
                <div class="site-logo">
                    <a href="<?php echo esc_url( get_page_link(5) ); ?>"><img src="<?php bloginfo('template_url'); ?>/assets/images/logo.webp" alt="Logo"></a>
                </div>
                <button class="ltn__utilize-close">×</button>
            </div>
           
            <div class="ltn__utilize-menu">
                                <ul>
                                        <li><a href="<?php echo esc_url( get_page_link(5) ); ?>" class="active">Home</a></li>
                                         <li><a href="<?php echo esc_url( get_page_link(8) ); ?>">About Us</a></li>
                                        <li><a href="#">Services <i class="fa fa-angle-down"></i></a>
                                            <ul style="display: none;">
                                                <li><a href="<?php echo esc_url( get_page_link(13) ); ?>">Laminate Flooring</a></li> 
                                               <li><a href="<?php echo esc_url( get_page_link(15) ); ?>">Engineered Flooring</a></li> 
                                               <li><a href="<?php echo esc_url( get_page_link(17) ); ?>">Hybrid Flooring</a></li> 
                                               <li><a href="<?php echo esc_url( get_page_link(19) ); ?>">Timber Flooring</a></li> 
                                            </ul> 
                                        </li>
                                        <li><a href="<?php echo esc_url( get_page_link(21) ); ?>">Products <i class="fa fa-angle-down"></i></a>
                                            <ul style="display: none;">
                                               <li><a href="<?php echo esc_url( get_page_link(23) ); ?>">Bowood Laminate</a>
                                               <li><a href="#">Hybrids <i class="fa fa-angle-down"></i></a>
                                                   <ul style="display: none;">
                                                     <li><a href="<?php echo esc_url( get_page_link(25) ); ?>">Homestead Hybrid 6.5mm</a></li> 
                                                    <li><a href="<?php echo esc_url( get_page_link(27) ); ?>">Homestead Hybrid 8mm</a></li>
                                                   </ul>
                                               </li>
                                               <li><a href="#">Adorn Laminate <i class="fa fa-angle-down"></i></a>
                                                   <ul style="display: none;">
                                                    <li><a href="<?php echo esc_url( get_page_link(29) ); ?>">Classic</a></li>
                                                    <li><a href="<?php echo esc_url( get_page_link(31) ); ?>">Select</a></li>
                                                    <li><a href="<?php echo esc_url( get_page_link(33) ); ?>">3D Lux</a></li>
                                                   </ul>
                                               </li>
                                               <li><a href="#">Stonegrove Luxury Hybrids <i class="fa fa-angle-down"></i></a>
                                                   <ul style="display: none;">
                                                     <li><a href="<?php echo esc_url( get_page_link(35) ); ?>">Cantus</a></li>
                                                     <li><a href="<?php echo esc_url( get_page_link(37) ); ?>">Altus</a></li>
                                                     <li><a href="<?php echo esc_url( get_page_link(39) ); ?>">Brevis</a></li>
                                                   </ul>
                                               </li>
                                               <li><a href="#">Lamella Engineered Timbers <i class="fa fa-angle-down"></i></a>
                                                   <ul style="display: none;">
                                                     <li><a href="#">Lamella 14/2</a></li>
                                                     <li><a href="#">Lamella 15/4</a></li>
                                                     <li><a href="#">Lamella Herringbone</a></li>
                                                   </ul>
                                               </li>
                                               
                                            </li>
                                           </ul>    
                                        </li>
                                        <li><a href="<?php echo esc_url( get_page_link(47) ); ?>">Gallery</a></li>
                                        <li><a href="<?php echo esc_url( get_page_link(49) ); ?>">Contact Us</a></li>
                                    </ul>
            </div>
            
            <div class="ltn__social-media-2">
                <ul>
                    <li><a href="#" title="Facebook"><i class="fab fa-facebook-f"></i></a></li>
                    <li><a href="#" title="Instagram"><i class="fab fa-instagram"></i></a></li>
                </ul>
            </div>
        </div>
    </div>
    <!-- Mobile Menu End -->

    <div class="ltn__utilize-overlay"></div>